Bug 800769 - SEVERE: Can't find accessories/toxhtml.xsl as resource
SEVERE: Can't find accessories/toxhtml.xsl as resource
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freemind (Show other bugs)
15
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 03:06 EST by nomnex
Modified: 2012-04-11 22:59 EDT (History)
3 users (show)

See Also:
Fixed In Version: freemind-0.9.0-9.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-07 23:31:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nomnex 2012-03-07 03:06:25 EST
To the packager of Freemind:
On a default system (LXDE F15), I have installed Freemind 0.9.0. I encounter some problems.

[1]
patterns.xml was missing in my home dir. I cp the one in the /usr/share/freemind dir

STDOUT: User patterns file /home/mt/.freemind/patterns.xml not found.


[2]
I can't export to XHTML, HTML, etc.

[mt@nh28d ~]$ freemind &
[2] 14966
[1]   Done                    freemind
[mt@nh28d ~]$ Checking Java Version...
Mar 7, 2012 4:56:31 PM accessories.plugins.ExportWithXSLT transformMapWithXslt
SEVERE: Can't find accessories/toxhtml.xsl as resource.
Mar 7, 2012 4:56:31 PM freemind.main.Resources logException
SEVERE: An exception occured: 
java.lang.IllegalArgumentException: Can't find accessories/toxhtml.xsl as resource.
	at accessories.plugins.ExportWithXSLT.transformMapWithXslt(ExportWithXSLT.java:277)
	at accessories.plugins.ExportWithXSLT.transform(ExportWithXSLT.java:132)
	at accessories.plugins.ExportWithXSLT.startupMapHook(ExportWithXSLT.java:116)
	at freemind.modes.mindmapmode.MindMapController.invokeHook(MindMapController.java:1722)
	at freemind.modes.mindmapmode.actions.MindMapControllerHookAction.actionPerformed(MindMapControllerHookAction.java:48)
	at javax.swing.AbstractButton.fireActionPerformed(AbstractButton.java:2012)
	at javax.swing.AbstractButton$Handler.actionPerformed(AbstractButton.java:2335)
	at javax.swing.DefaultButtonModel.fireActionPerformed(DefaultButtonModel.java:404)
	at javax.swing.DefaultButtonModel.setPressed(DefaultButtonModel.java:259)
	at javax.swing.AbstractButton.doClick(AbstractButton.java:374)
	at javax.swing.plaf.basic.BasicMenuItemUI.doClick(BasicMenuItemUI.java:829)
	at javax.swing.plaf.basic.BasicMenuItemUI$Handler.mouseReleased(BasicMenuItemUI.java:873)
	at java.awt.AWTEventMulticaster.mouseReleased(AWTEventMulticaster.java:289)
	at java.awt.Component.processMouseEvent(Component.java:6268)
	at javax.swing.JComponent.processMouseEvent(JComponent.java:3267)
	at java.awt.Component.processEvent(Component.java:6033)
	at java.awt.Container.processEvent(Container.java:2045)
	at java.awt.Component.dispatchEventImpl(Component.java:4629)
	at java.awt.Container.dispatchEventImpl(Container.java:2103)
	at java.awt.Component.dispatchEvent(Component.java:4455)
	at java.awt.LightweightDispatcher.retargetMouseEvent(Container.java:4633)
	at java.awt.LightweightDispatcher.processMouseEvent(Container.java:4297)
	at java.awt.LightweightDispatcher.dispatchEvent(Container.java:4227)
	at java.awt.Container.dispatchEventImpl(Container.java:2089)
	at java.awt.Window.dispatchEventImpl(Window.java:2517)
	at java.awt.Component.dispatchEvent(Component.java:4455)
	at java.awt.EventQueue.dispatchEventImpl(EventQueue.java:649)
	at java.awt.EventQueue.access$000(EventQueue.java:96)
	at java.awt.EventQueue$1.run(EventQueue.java:608)
	at java.awt.EventQueue$1.run(EventQueue.java:606)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:116)
	at java.awt.EventQueue$2.run(EventQueue.java:622)
	at java.awt.EventQueue$2.run(EventQueue.java:620)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.AccessControlContext$1.doIntersectionPrivilege(AccessControlContext.java:105)
	at java.awt.EventQueue.dispatchEvent(EventQueue.java:619)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(EventDispatchThread.java:275)
	at java.awt.EventDispatchThread.pumpEventsForFilter(EventDispatchThread.java:200)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(EventDispatchThread.java:190)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:185)
	at java.awt.EventDispatchThread.pumpEvents(EventDispatchThread.java:177)
	at java.awt.EventDispatchThread.run(EventDispatchThread.java:138)
[mt@nh28d ~]$

Could you advise, thanks in advance.
Comment 1 nomnex 2012-03-07 03:15:22 EST
Looks like this bug.
https://sourceforge.net/tracker/index.php?func=detail&aid=3387444&group_id=7118&atid=107118

Can I do something about it to have the feature working?
Comment 2 nomnex 2012-03-07 03:20:47 EST
When I launch freemind as root

[root@nh28d ~]# freemind &
[1] 15683
[root@nh28d ~]# Checking Java Version...
java.io.FileNotFoundException: /root/.freemind/auto.properties (No such file or directory)
	at java.io.FileInputStream.open(Native Method)
	at java.io.FileInputStream.<init>(FileInputStream.java:137)
	at freemind.main.FreeMindStarter.readUsersPreferences(FreeMindStarter.java:136)
	at freemind.main.FreeMindStarter.main(FreeMindStarter.java:56)
Panic! Error while loading default properties.

Is this normal? thanks.
Comment 3 hannes 2012-03-07 17:05:23 EST
Alright thanks for the report, I knew that the export functions were not all working but it seems that freemind is looking only in relative directories. So we will see what we could do about it.
Comment 4 hannes 2012-03-07 17:14:16 EST
As a quick workaround to get working export is to start freemind in the following way:
- open up a terminal
- cd /usr/share/freemind
- freemind

Hope this helps in the mean time.
Comment 5 nomnex 2012-03-12 01:40:08 EDT
Yes, it helps. Thank. I had seen the workaround in the sourceforge bug report in comment 1.
Comment 6 Russell Harrison 2012-03-28 18:37:48 EDT
I'm seeing this same issue in f16
Comment 7 Fedora Update System 2012-03-30 16:18:45 EDT
freemind-0.9.0-8.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/freemind-0.9.0-8.fc16
Comment 8 Fedora Update System 2012-03-30 16:18:55 EDT
freemind-0.9.0-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/freemind-0.9.0-9.fc17
Comment 9 Fedora Update System 2012-03-30 23:10:17 EDT
Package freemind-0.9.0-8.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freemind-0.9.0-8.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5010/freemind-0.9.0-8.fc16
then log in and leave karma (feedback).
Comment 10 nomnex 2012-03-31 20:58:35 EDT
Will there be a f15 package, please.
Comment 11 hannes 2012-04-01 05:33:53 EDT
Hi,
given that fedora 15 will reach eol shortly I don't really want to push an updated version.
I would suggest that you just try the workaround (which I use to fix this bug) locally on your machine.

Just edit as root the file
/usr/bin/freemind
and add the line 
cd /usr/share/freemind
right before the comment:
# Let's start

If you have any further questions please just ask.

HTH
Comment 12 nomnex 2012-04-01 05:52:08 EDT
(In reply to comment #11)
> Hi,
> given that fedora 15 will reach eol shortly I don't really want to push an
> updated version.
> I would suggest that you just try the workaround (which I use to fix this bug)
> locally on your machine.
> 
> Just edit as root the file
> /usr/bin/freemind
> and add the line 
> cd /usr/share/freemind
> right before the comment:
> # Let's start
> 
> If you have any further questions please just ask.

thank you. I am an end user. I need to input Japanese (using ibus) in my Freemind documents. That does not work using the workaround.

It's probably because ibus starts locally with my user profile /home/, and freemind starts from /usr/

I can type Japanese just fine in Freemind when I launch it from my user profile, but then I cannot export.

I know 15 reaches eol soon. I am not sure I can upgrade anytime soon, I will probably install F-17 mid-August, during the holidays. Do you have a suggestion? Thank you.
Comment 13 hannes 2012-04-02 02:01:42 EDT
Well the problem is, that the workaround basically is just, what I told you to do. So your ibus input won't work for you, but weren't there another bugs about problems of using ibus as input for freemind?
I am wondering if it's really caused by the change of the directory in the freemind startup script.
Comment 14 nomnex 2012-04-02 02:31:30 EDT
(In reply to comment #13)
> do. So your ibus input won't work for you, but weren't there another bugs about
> problems of using ibus as input for freemind?

The problem was with the LXPanel on this hardware. Changing panel fixed the issue.

> I am wondering if it's really caused by the change of the directory in the
> freemind startup script.

My apology, it works. I sometimes have to click outside the node and click back in to get the Japanese input, but it works. And I am fine.

Thank you again for the feedback, and for the explanation.

> Just edit as root the file
> /usr/bin/freemind
> and add the line 
> cd /usr/share/freemind
> right before the comment:
> # Let's start

It's much more convenient that way.
Comment 15 Russell Harrison 2012-04-02 13:22:35 EDT
(In reply to comment #9)
> Package freemind-0.9.0-8.fc16:
> * should fix your issue,
> * was pushed to the Fedora 16 testing repository,

I have confirmed that this update fixes my issue exporting branches as TaskJuggler resources/tasks
Comment 16 Fedora Update System 2012-04-07 23:31:51 EDT
freemind-0.9.0-8.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2012-04-11 22:59:12 EDT
freemind-0.9.0-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.